AnsweredAssumed Answered

Problème d'installation du FirstFoundationClient

Question asked by pnl on Jan 10, 2011
Latest reply on Jan 10, 2011 by pnl
Bonjour,

Je souhaite tester la nouvelle version d'Alfresco (3.4c) en utilisant les exemples du SDK. J'ai voulu commencé par l'exemple FirstFoundationClient. J'ai installé mon projet dans Eclipse et j'ai copié/ajouté les librairies du sdk dans le Build Path de Eclipse.

Dans la classe FirstFoundationClient, j'ai une erreur dans la méthode do example.
  
public static void doExample(ServiceRegistry serviceRegistry) throws Exception {
       //
        // authenticate
       //
        AuthenticationService authenticationService = serviceRegistry.getAuthenticationService();
        authenticationService.authenticate("admin", "admin".toCharArray());
       
       […]

Eclipse m'affiche l'erreur suivante au niveau de authenticationService.authenticate("admin", "admin".toCharArray()); : "The type org.alfresco.repo.security.authentication.AuthenticationException cannot be resolved. It is indirectly referenced from required .class files".

J'ai regardé dans les jars alfresco-repository, core, web… et je n'arrive pas à localiser cette classe org.alfresco.repo.security.authentication.AuthenticationException.

Est-ce que j'ai fait une erreur de configuration ou est-ce que j'ai oublier de télécharger un jar depuis le site d'Alfresco ?

Quelqu'un a une idée concernant ce problème ?

Merci d'avance !

PNL

Outcomes